<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\UserManagementController;

// Index route
Route::get('/', [HomeController::class, 'index'])->name('index');

// Login route
Route::get('/login', [HomeController::class, 'showLoginForm'])->name('login');
Route::post('/login', [HomeController::class, 'loginProcess'])->name('login.submit');


// Register route
Route::get('/register', [HomeController::class, 'showRegisterForm'])->name('register');
Route::post('/register', [HomeController::class, 'register'])->name('register.submit');


// Dashboard route (protected)
// Route::get('/dashboard', [HomeController::class, 'dashboard'])->name('dashboard')->middleware('auth');
Route::get('dashboard', [HomeController::class, 'dashboard'])->middleware('auth')->name('dashboard');



// Logout route (optional)
Route::post('/logout', [HomeController::class, 'logout'])->name('logout');

//Users
Route::get('/user-management/roles', [UserManagementController::class, 'roleAccess'])->name('user.roles');

//Role
Route::post('/user-management/assign-role', [UserManagementController::class, 'assignRole'])->name('user.assignRole');



